<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace ORACLEModule\Lib;


use itnovum\openITCOCKPIT\Core\Wizards\ModuleWizardsInterface;

class Wizards implements ModuleWizardsInterface {

    /**
     * @var array
     */
    private $ACL_PERMISSIONS = [];

    /**
     * Widgets constructor.
     * @param $ACL_PERMISSIONS
     */
    public function __construct($ACL_PERMISSIONS) {
        $this->ACL_PERMISSIONS = $ACL_PERMISSIONS;
    }

    /**
     * @return array
     */
    public function getAvailableWizards() {
        if (!(isset($this->ACL_PERMISSIONS['hosts']['add']) && isset($this->ACL_PERMISSIONS['services']['add']))) {
            return [];
        }
        return [
            'oracle' => [
                'type_id'                 => 'oracle',
                'uuid'                    => '7c5177a1-ff34-4a12-922b-2086211b62db',
                'title'                   => __('Oracle'),
                'description'             => __('Track connection time, connected users, session and process usage, ....'),
                'image'                   => 'Oracle_logo.svg',
                'directive'               => 'oracle', //AngularJS directive
                'state'                   => 'WizardsOracle',
                'category'                => ['linux', 'database'],
                'selected_os'             => null,
                'necessity_of_assignment' => true
            ]
        ];
    }
}
